## papers 49.3

=== debian/changelog ===
papers (49.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * d/control: Bump S-V to 4.7.3; no changes needed
  * Add patch to fix build (Closes: #1124189)

 -- Matthias Geiger <werdahias@debian.org>  Thu, 15 Jan 2026 00:47:20 +0100
