=== debian/control ===
Source: papers
Section: gnome
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-apparmor,
               dh-cargo,
               dh-sequence-gir,
               dh-sequence-gnome,
               appstream,
               blueprint-compiler,
               cargo:native,
               desktop-file-utils,
               gir-rust-code-generator,
               gir1.2-gdk-4.0-dev,
               gir1.2-gdkpixbuf-2.0-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-pango-1.0-dev,
               gir1.2-gtk-4.0-dev,
               gobject-introspection (>= 1.86.0-5),
               gsettings-desktop-schemas-dev,
               itstool,
               libadwaita-1-dev (>= 1.8~alpha),
               libarchive-dev (>= 3.6.0),
               libcairo2-dev (>= 1.14.0),
               libdjvulibre-dev (>= 2.0),
               libexempi-dev (>= 2.0),
               libgdk-pixbuf-2.0-dev (>= 2.40),
               libglib2.0-dev (>= 2.75),
               libgtk-4-dev (>= 4.17.1),
               libnautilus-extension-dev (>= 43),
               libpoppler-glib-dev (>= 25.03),
               librust-bitflags-2+default-dev (>= 2.2-~~),
               librust-cairo-rs-0.21+default-dev,
               librust-cairo-sys-rs-0.21+default-dev,
               librust-env-logger-0.11+default-dev,
               librust-futures-0.3+default-dev,
               librust-gdk-pixbuf-0.21+default-dev,
               librust-gdk-pixbuf-sys-0.21+default-dev,
               librust-gdk4-0.10+default-dev,
               librust-gdk4-sys-0.10+default-dev,
               librust-gettext-rs-0.7+default-dev,
               librust-gettext-rs-0.7+gettext-system-dev,
               librust-gio-0.21+default-dev,
               librust-gio-sys-0.21+default-dev,
               librust-glib-0.21+default-dev,
               librust-glib-sys-0.21+default-dev,
               librust-gobject-sys-0.21+default-dev,
               librust-gtk4-0.10+default-dev,
               librust-gtk4-0.10+gnome-45-dev,
               librust-gtk4-sys-0.10+default-dev,
               librust-image-0.25+png-dev,
               librust-libadwaita-0.8+default-dev,
               librust-libadwaita-0.8+v1-7-dev,
               librust-libc-0.2+default-dev,
               librust-log-0.4+default-dev,
               librust-lru-0+default-dev (>= 0.12-~~),
               librust-oo7-0.5-dev,
               librust-pango-0.21+default-dev,
               librust-pango-sys-0.21+default-dev,
               librust-shell-words-1+default-dev <!nocheck>,
               librust-system-deps-7+default-dev,
               libspelling-1-dev,
               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64],
               librust-tempfile-3+default-dev <!nocheck>,
               libtiff-dev (>= 4),
               meson (>= 1.8.0),
               rustc:native (>= 1.83),
               rustfmt,
               xmlstarlet,
               zlib1g-dev
Build-Depends-Indep: gi-docgen (>= 2021.1) <!nodoc>
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/gnome-team/papers
Vcs-Git: https://salsa.debian.org/gnome-team/papers.git
Homepage: https://apps.gnome.org/Papers/

Package: papers
Architecture: any
Depends: gsettings-desktop-schemas,
         libppsdocument-4.0-6 (= ${binary:Version}),
         libppsview-4.0-5 (= ${binary:Version}),
         papers-common (>= ${source:Version}),
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: djvu-viewer, pdf-viewer
Suggests: gvfs, nautilus-sendto, poppler-data, unrar
Enhances: nautilus
Description: PDF document viewer for GNOME
 Papers is a simple multi-page document viewer. It can display and print
 Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
 Format (PDF) and TIFF files. When supported by the document, it also
 allows searching for text, copying text to the clipboard, hypertext
 navigation, and table-of-contents bookmarks.

Package: papers-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: PDF document viewer for GNOME - common files
 Papers is a simple multi-page document viewer. It can display and print
 Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
 Format (PDF) and TIFF files. When supported by the document, it also
 allows searching for text, copying text to the clipboard, hypertext
 navigation, and table-of-contents bookmarks.
 .
 This package contains architecture-independent files for papers.

Package: libppsdocument-4.0-6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document (Comic Books, DjVu, PDF) rendering library
 This package contains libppsdocument, which performs the rendering of the
 documents.
 .
 It ships with a pdf, tiff, djvu, and comics backend.

Package: libppsview-4.0-5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document (Comic Books, DjVu, PDF) rendering library - GTK widgets
 This package contains libppsview, which provides GTK widgets for displaying
 documents.

Package: libpapers-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libadwaita-1-dev,
         libppsdocument-4.0-6 (= ${binary:Version}),
         libppsview-4.0-5 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: Document (Comic Books, DjVu, PDF) rendering library - development files
 This package contains papers-related libraries for rendering and displaying
 Papers documents like Comic Books archives (CBR, CBT, CBZ, CB7), DjVu,
 Portable Document Format (PDF) and TIFF files.
 * libppsdocument, which performs the rendering of the documents
 * libppsview, which provides GTK widgets for displaying documents
 .
 This package provides the development files.

Package: libpapers-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Document (Comic Books, DjVu, PDF) rendering library - documentation
 This package contains papers-related libraries for rendering and displaying
 Papers documents like Comic Books archives (CBR, CBT, CBZ, CB7), DjVu,
 Portable Document Format (PDF) and TIFF files.
 * libppsdocument, which performs the rendering of the documents
 * libppsview, which provides GTK widgets for displaying documents
 .
 This package provides the developers' documentation.

Package: gir1.2-papers-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Provides: ${gir:Provides}
Description: GObject introspection data for the papers libraries
 Papers is a simple multi-page document viewer. It can display and print
 Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
 Format (PDF) and TIFF files. When supported by the document, it also
 allows searching for text, copying text to the clipboard, hypertext
 navigation, and table-of-contents bookmarks.
 .
 This package contains introspection data for the libppsview and
 libppsdocument libraries. It can be used by packages using the
 GIRepository format to generate dynamic bindings.
