## papers 50~beta

=== debian/changelog ===
papers (50~beta-0ubuntu2) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    - New upstream release 50~beta
      + d/control: Bump poppler
      + d/symbols: Add symbols from the new version
    - Add debian/.gitignore to avoid static libraries
    - Add patch to build with vendored crates
    - Disable patches unneeded by Ubuntu build
    - Vendor Rust crate build dependencies into debian/missing-sources/
      as required by current Ubuntu MIR policy
    - Update debian/source/include-binaries
    - Update XS-Vendored-Sources-Rust field
  * d/p: Do not force Adwaita Sans font

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 18 Feb 2026 13:55:27 +0100

papers (50~beta-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * d/control: Bump poppler
  * d/p/meson.build-fix-build-for-Debian.patch: Disable unnecessary patch
  * d/rules: Use gbp-export-orig in vendoring target
  * d/symbols: Add symbols from the new version
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 18 Feb 2026 10:52:42 +0100
