=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: papers
 Section: gnome
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
@@ -10,11 +11,12 @@
                dh-cargo,
                dh-sequence-gir,
                dh-sequence-gnome,
+               quilt,
                appstream,
                blueprint-compiler,
                cargo:native,
                desktop-file-utils,
-               gir-rust-code-generator,
+#               gir-rust-code-generator,
                gir1.2-gdk-4.0-dev,
                gir1.2-gdkpixbuf-2.0-dev,
                gir1.2-gio-2.0-dev,
@@ -33,50 +35,51 @@
                libglib2.0-dev (>= 2.75),
                libgtk-4-dev (>= 4.17.1),
                libnautilus-extension-dev (>= 43),
-               libpoppler-glib-dev (>= 25.03),
-               librust-bitflags-2+default-dev (>= 2.2-~~),
-               librust-cairo-rs-0.21+default-dev,
-               librust-cairo-sys-rs-0.21+default-dev,
-               librust-env-logger-0.11+default-dev,
-               librust-futures-0.3+default-dev,
-               librust-gdk-pixbuf-0.21+default-dev,
-               librust-gdk-pixbuf-sys-0.21+default-dev,
-               librust-gdk4-0.10+default-dev,
-               librust-gdk4-sys-0.10+default-dev,
-               librust-gettext-rs-0.7+default-dev,
-               librust-gettext-rs-0.7+gettext-system-dev,
-               librust-gio-0.21+default-dev,
-               librust-gio-sys-0.21+default-dev,
-               librust-glib-0.21+default-dev,
-               librust-glib-sys-0.21+default-dev,
-               librust-gobject-sys-0.21+default-dev,
-               librust-gtk4-0.10+default-dev,
-               librust-gtk4-0.10+gnome-45-dev,
-               librust-gtk4-sys-0.10+default-dev,
-               librust-image-0.25+png-dev,
-               librust-libadwaita-0.8+default-dev,
-               librust-libadwaita-0.8+v1-7-dev,
-               librust-libc-0.2+default-dev,
-               librust-log-0.4+default-dev,
-               librust-lru-0+default-dev (>= 0.12-~~),
-               librust-oo7-0.5-dev,
-               librust-pango-0.21+default-dev,
-               librust-pango-sys-0.21+default-dev,
-               librust-shell-words-1+default-dev <!nocheck>,
-               librust-system-deps-7+default-dev,
+               libpoppler-glib-dev (>= 25.07),
+#               librust-bitflags-2+default-dev (>= 2.2-~~),
+#               librust-cairo-rs-0.21+default-dev,
+#               librust-cairo-sys-rs-0.21+default-dev,
+#               librust-env-logger-0.11+default-dev,
+#               librust-futures-0.3+default-dev,
+#               librust-gdk-pixbuf-0.21+default-dev,
+#               librust-gdk-pixbuf-sys-0.21+default-dev,
+#               librust-gdk4-0.10+default-dev,
+#               librust-gdk4-sys-0.10+default-dev,
+#               librust-gettext-rs-0.7+default-dev,
+#               librust-gettext-rs-0.7+gettext-system-dev,
+#               librust-gio-0.21+default-dev,
+#               librust-gio-sys-0.21+default-dev,
+#               librust-glib-0.21+default-dev,
+#               librust-glib-sys-0.21+default-dev,
+#               librust-gobject-sys-0.21+default-dev,
+#               librust-gtk4-0.10+default-dev,
+#               librust-gtk4-0.10+gnome-45-dev,
+#               librust-gtk4-sys-0.10+default-dev,
+#               librust-image-0.25+png-dev,
+#               librust-libadwaita-0.8+default-dev,
+#               librust-libadwaita-0.8+v1-7-dev,
+#               librust-libc-0.2+default-dev,
+#               librust-log-0.4+default-dev,
+#               librust-lru-0+default-dev (>= 0.12-~~),
+#               librust-oo7-0.5-dev,
+#               librust-pango-0.21+default-dev,
+#               librust-pango-sys-0.21+default-dev,
+#               librust-shell-words-1+default-dev <!nocheck>,
+#               librust-system-deps-7+default-dev,
                libspelling-1-dev,
                libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64],
-               librust-tempfile-3+default-dev <!nocheck>,
+#               librust-tempfile-3+default-dev <!nocheck>,
                libtiff-dev (>= 4),
                meson (>= 1.8.0),
                rustc:native (>= 1.83),
-               rustfmt,
-               xmlstarlet,
+#               rustfmt,
+#               xmlstarlet,
                zlib1g-dev
 Build-Depends-Indep: gi-docgen (>= 2021.1) <!nodoc>
+XS-Vendored-Sources-Rust: adler2@2.0.1, aes@0.8.4, aho-corasick@1.1.4, allocator-api2@0.2.21, anstream@0.6.21, anstyle-parse@0.2.7, anstyle-query@1.1.5, anstyle@1.0.13, approx@0.5.1, ashpd@0.12.1, async-broadcast@0.7.2, async-channel@2.5.0, async-executor@1.13.3, async-fs@2.2.0, async-io@2.6.0, async-lock@3.4.2, async-net@2.0.0, async-process@2.5.0, async-signal@0.2.13, async-task@4.7.1, async-trait@0.1.89, atomic-waker@1.1.2, autocfg@1.5.0, bitflags@2.10.0, block-buffer@0.10.4, block-padding@0.3.3, blocking@1.6.2, bytemuck@1.24.0, byteorder-lite@0.1.0, byteorder@1.5.0, cairo-rs@0.21.5, cairo-sys-rs@0.21.5, cbc@0.1.2, cc@1.2.54, cfg-expr@0.20.6, cfg-if@1.0.4, cipher@0.4.4, colorchoice@1.0.4, concurrent-queue@2.5.0, cpufeatures@0.2.17, crc32fast@1.5.0, crossbeam-utils@0.8.21, crypto-common@0.1.7, digest@0.10.7, displaydoc@0.2.5, endi@1.1.1, enumflags2@0.7.12, enumflags2_derive@0.7.12, env_filter@0.1.4, env_logger@0.11.8, equivalent@1.0.2, errno@0.3.14, event-listener-strategy@0.5.4, event-listener@5.4.1, fastrand@2.3.0, fdeflate@0.3.7, field-offset@0.3.6, find-msvc-tools@0.1.8, flate2@1.1.8, float_next_after@1.0.0, foldhash@0.2.0, form_urlencoded@1.2.2, formatx@0.2.4, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-lite@2.6.1, futures-macro@0.3.31, futures-sink@0.3.31, futures-task@0.3.31, futures-util@0.3.31, futures@0.3.31, gdk-pixbuf-sys@0.21.5, gdk-pixbuf@0.21.5, gdk4-sys@0.10.3, gdk4@0.10.3, generic-array@0.14.7, geo-types@0.7.18, geo@0.30.0, geographiclib-rs@0.2.5, getrandom@0.2.17, getrandom@0.3.4, gettext-rs@0.7.7, gettext-sys@0.26.0, gio-sys@0.21.5, gio@0.21.5, git-version-macro@0.3.9, git-version@0.3.9, glib-macros@0.21.5, glib-sys@0.21.5, glib@0.21.5, gobject-sys@0.21.5, graphene-rs@0.21.5, graphene-sys@0.21.5, gsk4-sys@0.10.3, gsk4@0.10.3, gtk4-macros@0.10.3, gtk4-sys@0.10.3, gtk4@0.10.3, hash32@0.3.1, hashbrown@0.16.1, heapless@0.8.0, heck@0.5.0, hex@0.4.3, hkdf@0.12.4, hmac@0.12.1, i_float@1.7.0, i_key_sort@0.2.0, i_overlay@2.0.5, i_shape@1.7.0, i_tree@0.8.3, icu_collections@2.1.1, icu_locale_core@2.1.1, icu_normalizer@2.1.1, icu_normalizer_data@2.1.1, icu_properties@2.1.2, icu_properties_data@2.1.2, icu_provider@2.1.1, idna@1.1.0, idna_adapter@1.2.1, image@0.25.9, indexmap@2.13.0, ink-stroke-modeler-rs@0.1.0, inout@0.1.4, is_terminal_polyfill@1.70.2, jiff@0.2.18, lazy_static@1.5.0, libadwaita-sys@0.8.1, libadwaita@0.8.1, libc@0.2.180, libm@0.2.16, linux-raw-sys@0.11.0, litemap@0.8.1, locale_config@0.3.0, log@0.4.29, lru@0.16.3, md-5@0.10.6, memchr@2.7.6, memoffset@0.9.1, miniz_oxide@0.8.9, moxcms@0.7.11, num-bigint-dig@0.8.6, num-bigint@0.4.6, num-complex@0.4.6, num-integer@0.1.46, num-iter@0.1.45, num-rational@0.4.2, num-traits@0.2.19, num@0.4.3, once_cell@1.21.3, oo7@0.5.0, ordered-stream@0.2.0, pango-sys@0.21.5, pango@0.21.5, parking@2.2.1, pbkdf2@0.12.2, percent-encoding@2.3.2, pin-project-lite@0.2.16, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.32, png@0.18.0, polling@3.11.0, potential_utf@0.1.4, ppv-lite86@0.2.21, proc-macro-crate@3.4.0, proc-macro2@1.0.106, pxfm@0.1.27, quote@1.0.44, rand@0.8.5, rand@0.9.2, rand_chacha@0.3.1, rand_chacha@0.9.0, rand_core@0.6.4, rand_core@0.9.5, regex-automata@0.4.13, regex-syntax@0.8.8, regex@1.12.2, robust@1.2.0, rstar@0.12.2, rustc_version@0.4.1, rustix@1.1.3, semver@1.0.27, serde@1.0.228, serde_core@1.0.228, serde_derive@1.0.228, serde_repr@0.1.20, serde_spanned@1.0.4, sha2@0.10.9, shell-words@1.1.1, shlex@1.3.0, signal-hook-registry@1.4.8, simd-adler32@0.3.8, slab@0.4.11, smallvec@1.15.1, spin@0.9.8, stable_deref_trait@1.2.1, subtle@2.6.1, syn@2.0.114, synstructure@0.13.2, system-deps@7.0.7, target-lexicon@0.13.3, temp-dir@0.1.16, tempfile@3.24.0, thiserror-impl@2.0.18, thiserror@2.0.18, tinystr@0.8.2, toml@0.9.11+spec-1.1.0, toml_datetime@0.7.5+spec-1.1.0, toml_edit@0.23.10+spec-1.0.0, toml_parser@1.0.6+spec-1.1.0, toml_writer@1.0.6+spec-1.1.0, tracing-attributes@0.1.31, tracing-core@0.1.36, tracing@0.1.44, typenum@1.19.0, unicode-ident@1.0.22, url@2.5.8, utf8_iter@1.0.4, utf8parse@0.2.2, uuid@1.20.0, version-compare@0.2.1, version_check@0.9.5, winnow@0.7.14, writeable@0.6.2, yoke-derive@0.8.1, yoke@0.8.1, zbus@5.13.2, zbus_macros@5.13.2, zbus_names@4.3.1, zerocopy@0.8.35, zerofrom-derive@0.1.6, zerofrom@0.1.6, zeroize@1.8.2, zeroize_derive@1.4.3, zerotrie@0.2.3, zerovec-derive@0.11.2, zerovec@0.11.5, zvariant@5.9.2, zvariant_derive@5.9.2, zvariant_utils@3.3.0
 Standards-Version: 4.7.3
-Vcs-Browser: https://salsa.debian.org/gnome-team/papers
-Vcs-Git: https://salsa.debian.org/gnome-team/papers.git
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/papers
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/papers.git
 Homepage: https://apps.gnome.org/Papers/
 
 Package: papers
@@ -178,6 +181,3 @@
  allows searching for text, copying text to the clipboard, hypertext
  navigation, and table-of-contents bookmarks.
  .
- This package contains introspection data for the libppsview and
- libppsdocument libraries. It can be used by packages using the
- GIRepository format to generate dynamic bindings.
